Skip to main content
GET
Get task state

Authorizations

X-API-Key
string
header
default:YOUR_AUTUMN_API_KEY
required

Your Autumn API key.

Path Parameters

task_id
string
required

The task_id returned by POST /task or POST /task/start.

Example:

"8fab6f34"

Response

Liveness and queue state.

task_id
string
required
exists
boolean
required
active
boolean
required

True while a turn is running.

status
string
required
phase
string
required
activity
string
required
run_id
string | null
heartbeat_at
string | null
pending_op
string | null

A queued message or execute that has not started yet.

pending_op_stale
boolean | null

True when the queued op has waited past its TTL and will not start.

last_submit_error
string | null

Why the last queued (202) message or execute was rejected when it ran, e.g. out_of_credits. Empty when it ran.

last_submit_error_at
string | null